#ifndef QTVBA_H
#define QTVBA_H

#include "qtvba_parent2.h"
#include "gameinfo.h"
#include <qprocess.h>
#include <qptrlist.h>

class qtvba : public qtvba_parent {

	Q_OBJECT

public:
	qtvba( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

public slots:
	void load_roms();
	void save_config();
	void load_config();
	void save_gameinfo();
	void load_gameinfo();
	void update_screenshot_and_gameinfo();
	void load_savegames();
	void launch_rom_associate();
	void dl_new_listing();
	void show_vba_help();

private slots:
	void play_rom();
	void closeEvent(QCloseEvent*);
	void readFromStdOut();
	void readFromStdErr();
	void bios_path_browse();
	void screenshot_path_browse();
	void rom_path_browse();
	void vba_path_browse();

private:
	QString vba_path, rom_path, screenshot_path, options, filter, bios_path; 
	int zoom, frameskip;
	int fullscreen, mmx, fps;
	QProcess * proc;
	QPtrList<gameinfo> games;
	// void getGameInfo();
	// void setGameInfo();
};


#endif
